perl-MooseX-LazyRequire-0.100.0-3-omv2015.0.noarch.rpm


Advertisement

Description

perl-MooseX-LazyRequire - Required attributes which fail only when trying to use them

Distribution: OpenMandriva Cooker
Repository: OpenMandriva Contrib x86_64
Package name: perl-MooseX-LazyRequire
Package version: 0.100.0
Package release: 3-omv2015.0
Package architecture: noarch
Package type: rpm
Installed size: 35.26 KB
Download size: 17.81 KB
Official Mirror: abf-downloads.openmandriva.org
This module adds a 'lazy_require' option to Moose attribute declarations. The reader methods for all attributes with that option will throw an exception unless a value for the attributes was provided earlier by a constructor parameter or through a writer method.

Alternatives

Provides

  • perl(MooseX::LazyRequire) == 0.100.0
  • perl(MooseX::LazyRequire::Meta::Attribute::Trait::LazyRequire) == 0.100.0
  • perl-MooseX-LazyRequire == 0.100.0-3:2015.0

    Install Howto

    1. Enable OpenMandriva Contrib repository on Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install perl-MooseX-LazyRequire rpm package:
      # urpmi perl-MooseX-LazyRequire

    Files

    • /usr/lib/perl5/vendor_perl/5.20.1/MooseX/LazyRequire.pm
    • /usr/lib/perl5/vendor_perl/5.20.1/MooseX/LazyRequire/
    • /usr/lib/perl5/vendor_perl/5.20.1/MooseX/LazyRequire/Meta/
    • /usr/lib/perl5/vendor_perl/5.20.1/MooseX/LazyRequire/Meta/Attribute/
    • /usr/lib/perl5/vendor_perl/5.20.1/MooseX/LazyRequire/Meta/Attribute/Trait/LazyRequire.pm
    • /usr/share/doc/perl-MooseX-LazyRequire/Changes
    • /usr/share/doc/perl-MooseX-LazyRequire/LICENSE
    • /usr/share/doc/perl-MooseX-LazyRequire/META.yml
    • /usr/share/doc/perl-MooseX-LazyRequire/README
    • /usr/share/man/man3/MooseX::LazyRequire.3pm.xz
    • /usr/share/man/man3/MooseX::LazyRequire::Meta::Attribute::Trait::LazyRequire.3pm.xz
    Advertisement
    Advertisement